New answers tagged

0 votes
Accepted

Magento 2.4.5 Community upgrade in the lock file but not in remote repositories Composer Error

This issue can only be fixed by creating a new private repository - uploading all extension files to there. Otherwise you will get extension found in lock file but not in remote server error when ...
  • 23
1 vote

Upgrading from Magento 2.4.0 to 2.4.5

To upgrade Magento 2.4.0 to 2.4.5, you first need to upgrade the PHP version to 8.1 to avoid conflict and dependency issues. What you can do is: Enable the maintenance mode: php bin/magento ...
0 votes

Magento 2.4.5 Community upgrade in the lock file but not in remote repositories Composer Error

If you want to upgrade the Magento version only, it's an integrate process with composer you can follow but with third-party extensions: please note the following: The third-party extension will ...
0 votes

Magento 2.4.0 ElasticSearch not alive

If you are using Magento 2.4.x then you should be using ElasticSearch 7. Check app/etc/env.php for ElasticSearch settings. Example: 'system' => [ 'default' => [ 'catalog' =&...
0 votes

PHP Warning: require(/vendor/composer/../magento/project-enterprise-edition/app/etc/NonComposerComponentRegistration.php): Failed to open stream

app/etc/NonComposerComponentRegistration.php permissions should be set to 666. If a setting is missing from your composer.json file, some directories will not copy from the Adobe Commerce Code Base. ...
  • 2,553
0 votes

Magento 2 upgrade - Setup:upgrade stuck at Magento_Customer

You can check by run below command: strace -s 99 bin/magento setup:upgrade More about strace Also, check your MySQL has not run any related process, you found then kill it. (Not KILL ALL, only ...
  • 6,910
0 votes

Cant add product to cart after upgrade to magento 2.4.0

I have tried to add the given product to cart, it works. Please check attached screenshot for the same. https://prnt.sc/k0gHUR9KXOo6
0 votes
Accepted

404 every page on frontend after upgrade 2.4.x

Please check your store code. I used a store code like below: You can check this file code where regular expression which does not allow a (-) Hyphen for store code: vendor/magento/module-store/...
  • 6,910

Top 50 recent answers are included